Subject: Re: First cut at git port to Cygwin

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 04 Oct 2005 07:06:29 -0700

Alex Riesen wrote:
> 
> I noticed that rename(2) in my copy of cygwin (1.5.18-1) does not remove the
> target and returns an error (probably EPERM, but I have reasons not to trust
> strerror on that thing).
> The repository was on FAT.
> Taking "rename(2)" from cygwin's libiberty solved this (they unlink if link(2)
> returns EEXIST).
> 
> PS: Does broken rename(2) qualify a system "not worthy to support"?

In this case a better way would be to just add -liberty to all link 
lines if necessary, but I would expect the core cygwin code to do this.

	-hpa